<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>section 1.5.4: Word Counting</title>
<link href="sx4h.html" rev=precedes>
<link href="sx4j.html" rel=precedes>
<link href="sx4.html" rev=subdocument>
</head>
<body>
<H2>section 1.5.4: Word Counting</H2>

page 21
<p>Deep sentence:
<blockquote>In a program as tiny as this,
it makes little difference,
but in larger programs,
the increase in clarity is well worth the modest extra effort
to write it this way from the beginning.
</blockquote>I agree with this.
Some people complain that symbolic constants make a program 
harder to read,
because you always have to look them up to see what they mean.
As long as you choose appropriate names for symbolic 
constants and use them consistently
(i.e. even if APPLE and ORANGE happen to have the same value,
don't use one when you mean the other),
no one will have this complaint about your programs.
</p>
<p>Note that there's no direct way to simplify
the condition
<pre>	if (c == ' ' || c == '\n' || c == '\t')
</pre>In particular, something like
<pre>	if (c == (' ' || '\n' || '\t'))
</pre>would <em>not</em> work.
(What would it do?)
</p><hr>
<p>
Read sequentially:
<a href="sx4h.html" rev=precedes>prev</a>
<a href="sx4j.html" rel=precedes>next</a>
<a href="sx4.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
